Mandriva Linux Security Advisory : perl-Gtk2 (MDVSA-2015:044)

High Nessus Plugin ID 81333


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been discovered and corrected in perl-Gtk2 :

Incorrect memory management in Gtk2::Gdk::Display::list_devices in perl-Gtk2 before 1.2495, where, the code was freeing memory that gtk+ still holds onto and might access later.

The updated packages have been patched to correct this issue.


Update the affected perl-Gtk2 and / or perl-Gtk2-doc packages.

See Also

Plugin Details

Severity: High

ID: 81333

File Name: mandriva_MDVSA-2015-044.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2015/02/13

Modified: 2015/02/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:perl-Gtk2, p-cpe:/a:mandriva:linux:perl-Gtk2-doc, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2015/02/12

Reference Information

MDVSA: 2015:044